# Create a project API key

Source: https://docs.wabe.sh/api-reference/operations/createprojectapikey/

`POST https://api.wabe.sh/v1/projects/{project}/api-keys`

## Authorization

Dashboard login JWT scoped to the organization.

## Parameters

- `project` (path, string, required) — Project ID.

## Responses

### 201

Key metadata and the new bearer secret. Copy the secret from this response.

`application/json`

Schema

```json
{
  "allOf": [
    {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid",
          "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
        },
        "project_id": {
          "type": "string",
          "format": "uuid",
          "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
        },
        "display_prefix": {
          "type": "string",
          "example": "ncp_abc12345"
        },
        "created_at": {
          "type": "string",
          "format": "date-time",
          "example": "2026-11-09T12:00:00Z"
        },
        "revoked_at": {
          "type": [
            "string",
            "null"
          ],
          "format": "date-time",
          "example": null
        }
      },
      "required": [
        "id",
        "project_id",
        "display_prefix",
        "created_at",
        "revoked_at"
      ]
    },
    {
      "type": "object",
      "properties": {
        "secret": {
          "type": "string",
          "description": "Project API key. Returned once.",
          "example": "ncp_YOUR_PROJECT_API_KEY"
        }
      },
      "required": [
        "secret"
      ]
    }
  ]
}
```

### 401

Missing or invalid dashboard login JWT.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 404

Project or key not found in the current organization.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
